// SASS VARS ===================================================================
$darkgray: #3a3335;
$orange: #fcaf17;


// GLOBAL ======================================================================
body{
  font-family: Arial, Helvetica, sans-serif;
  color:#000;
  margin: 0;
  padding: 0;

  *{
    box-sizing: border-box;
  }

  a{
    text-decoration: none;
  }
  h4{
    font-size: 15px;
    text-transform: uppercase;
    font-weight: bold;
    color: #231f20;
    margin-top: 10px;
    margin-bottom: 5px;
    font-stretch: semi-condensed;
  }
  .container{
    width: 980px;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
  }
  ul,
  li{
    list-style: none;
    padding: 0;
    margin: 0
  }
}


// CUSTOM ======================================================================


// HEADER
header{

  // header top
  > div.header-top{
    height: 105px;

    div:nth-child(1){
      display: flex;
      justify-content: flex-end;
      padding: 5px 0;
    }
    div:nth-child(1) a{
      font-size: 12px;
      font-weight: bold;
      display: flex;
      align-items: center;
      color: $darkgray;
      text-transform: uppercase;
      text-decoration: none;
      margin: 0 5px 0 15px;
      transition-duration: .2s;
    }
    div:nth-child(1) a:last-child{
      border-left: 1px solid $darkgray;
      margin-left: 10px;
      padding-left: 15px;
    }
    div:nth-child(1) a i{
      margin: 0 5px;
      font-size: 12px
    }
    div:nth-child(1) a:hover{
      color: $orange;
      transition-duration: .2s;
    }

    div:nth-child(2){
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
    > div:nth-child(2) > div.var-bus{
      width: 500px;
      height: 36px;
      border: 1px solid #d7d7d7;
    }
    > div:nth-child(2)>div.var-bus input{
      width: 100%;
      height: 36px;
      background: none;
      border: none;
      padding: 0 15px;
      font-size: 15px
    }
    > div:nth-child(2)>div.var-bus>div.btn-bus{
      min-width: 36px;
      height: 36px;
      background: $orange;
      background-image: url('../images/sprite.png');
      background-position-y: -55px;
    }
  }
  // end header top


  // header bottom
  div.header-bottom{
    background: #323232;

    > div.container{
      height: 40px;
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    div{
       > nav{
        display: flex;
        align-items: center;
      }
      > nav a{
        font-size: 15px;
        padding: 0 20px;
        font-weight: 700;
        color: $orange;
        border-right: 1px solid #5b5b5b;
        text-transform: uppercase;
        transition: .2s;

        &:hover{
          color: white
        }
      }
      p{
        font-weight: bold;
        margin: 8.5px 0;
        color: #fff;

        span{
          font-size: 12px;
        }
      }

    }
  }
  // end header bottom

}
// END HEADER



// SECTION CAROUSEL
section.carousel{
  margin-top: 28px;

  .swiper-container {
    width: 100%;
    height: 100%;

    .swiper-slide {
      text-align: center;
      font-size: 18px;
      background: #fff;
      /* Center slide text vertically */
      display: -webkit-box;
      display: -ms-flexbox;
      display: -webkit-flex;
      display: flex;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      -webkit-justify-content: center;
      justify-content: center;
      -webkit-box-align: center;
      -ms-flex-align: center;
      -webkit-align-items: center;
      align-items: center;

      img{
        width: 100%;
      }
    }
  }
}
// END SECTION CAROUSEL



// SECTION COMPANY
section.company{
  margin: 10px 0;

  img{
    width: 100%;
  }
}
// END SECTION COMPANY



// SECTION CATALOGUE
section.catalogue{
  margin-top: 60px;

  > div.container{
    display: flex;
    justify-content: space-between;
  }
  div.filter{
    width: 165px;
    min-width: 165px;

    > p{
      font-size: 12px;
      text-transform: uppercase;
      font-weight: bold;
      font-style: italic;
      margin: 0 0 25px;
    }
  }

  div.options{
    height: 22.5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    margin: 0 0 10px;
    background: black;
    color: white;
    font-stretch: semi-condensed;
    cursor: pointer;

    &.active{
      background: $orange;
      color: black;
      transition: .2s
    }

    p{
      font-size: 16px;
      font-weight: 700;
      text-transform: uppercase;
    }
  }
  .panel-options{
    padding-bottom: 20px;

    label{
      display: block;
      padding: 5px 0
    }
  }


  // gallery
  section.gallery{
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    padding-bottom: 100px;

    > article{
      width: 185px;
      margin-left: 10px;
      margin-bottom: 22px;

      h4{
        transition: .2s;
      }
      span.offer{
        display: block;
        width: 100%;
        height: 17px;
        color: #fff!important;
        margin: 0;
        text-align: center;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 15px;

        &.active{
          background: #e12e32;
        }
      }
      div.store-data{
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 5px 0;
      }

      > div img{
        width: 100%;
        border: 1px solid #eaeaea;
        border-radius: 2px;
        position: relative;
        margin-bottom: 2.5px;
      }
      span{
        font-weight: bold;
        color: #D44700;
      }
      p{
        font-size: 11px;
        margin-top: 0;
        color: #5c5c5c;
        text-transform: uppercase;
      }
    }
  }

}




// FOOTER
footer{
  width: 100%;
  height: 58px;
  background: #221e1f;

  &,
  > div.container{
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
}
// END FOOTER
